from pathlib import Path
import time

from new import MD, Image, Dataset, parser_path

# config
# 图片路径
image_path = Path('/Users/zeke/work/sx/OCR/HROCR/hr-ocr-cet/markdown/md/tt/img')
image_type = None
# 是否旋转
image_rotate = True
ocr_address = 'local'  # 'local' 'test' 'sb'
ocr_name = 'cet'  # 'cet' 'idcard' 'bankcard' 'regbook' 'schoolcert'
md_name = 'CET-tem'
md_path = '/Users/zeke/work/sx/OCR/HROCR/hr-ocr-cet/markdown/md/tt'
md_file = parser_path(Path(md_path) / Path(md_name), image_rotate)




if __name__ == '__main__':
    markdown = MD(md_file)

    dataset = Dataset(image_path, image_type, ocr_name, ocr_address, image_rotate)
    print(len(dataset))
    for d in dataset():
        print(d)

    dataset.evaluate()
    print(dataset.accuracy)

    markdown.write_total_accuracy(dataset)
    markdown.write_table_accuracy(dataset)
    markdown.write_table_result(dataset)

    print(md_file)
    markdown.f.create_md_file()
